Subject: Re: bug#78715: save-some-buffers cannot deal %-sequences in filenames

From: Jonas Bernoulli <[email-masked]>
Date: Sun, 08 Jun 2025 01:20:36 +0200

Eli Zaretskii <[email-masked]> writes:

>> Date: Sat, 07 Jun 2025 14:56:13 +0200
>> From:  Jonas Bernoulli via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> Hello
>> 
>> `save-some-buffers' errors when it encounters a filename that
>> contains a %-sequence:
>> 
>> Debugger entered--Lisp error: (error "Not enough arguments for format string")
>>   (message #("Save file /tmp/%i;%I? (y, n, !, ., q, M-~, C-r, C-f, d or C-h) " ...))
>>   (map-y-or-n-p #f(lambda (buffer) [(queried t) (arg nil)] ...))
>>   ...
>>   (save-some-buffers nil)
>
> Thanks, should be fixed now on the master branch.

I can confirm that this is fixed.

(And by using % in the subject of a mail, I discovered that I had to fix
the same defect in one of own packages and also in my personal value for
frame-title-format. ;P )